$INCLUDE: 'C:\FG\FASTGRAF.FI'

      PROGRAM MAIN

      INTEGER*1 KEY, AUX
      INTEGER SECONDS

      CALL FG_INITPM
      SECONDS = 0

10    CALL FG_WAITFOR(91)
      SECONDS = SECONDS + 5
      WRITE(6,*) SECONDS, ' seconds have elapsed.'
      CALL FG_INTKEY(KEY,AUX)
      IF (KEY+AUX .EQ. 0) GO TO 10

      STOP ' '
      END
